=== debian/changelog ===
plowshare (2.1.2-1) unstable; urgency=medium

  * New upstream releases.
    - debian/NEWS: note support for user modules.
    - debian/NEWS, debian/README: note the new plowmod tool.
    - debian/rules: install new upstream changelog.
    - debian/plowshare.links, debian/plowshare.manpages: add plowmod.
    - debian/plowshare.docs: README -> README.md.
    - debian/control: suggest git for use with plowmod.

  * debian/gbp.conf, debian/get-version, debian/rules:
    - Remove dependency on git history from the build process.

  * debian/control:
    - Change capitalisation of short description.

  * debian/plowshare.completion, debian/rules:
    - Install completion for each command.

  * debian/plowshare.links, debian/plowshare.manpages: sort alphabetically.

  * debian/plowshare.install:
    - No longer install dummy module config file (Closes: #801815).

  * debian/rules:
    - Trap errors in shell script loops.

  * debian/gbp.conf, debian/patches/*, debian/source/local-options:
    - Re-export patches using gbp pq without changes and adapt config.

  * debian/patches/02-src-spelling.patch:
    - Fix some typos in upstream manpages.

 -- Carl Suster <carl@contraflo.ws>  Wed, 14 Oct 2015 15:33:28 +0200

plowshare (2.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Removed patches applied upstream (Closes: #780311)

  * Upload to unstable

  * The modules are now split into a separate package plowshare-modules
    - Upstream no longer officially maintains the modules
    - Now just the framework lives in this package
    - Remove the modules which now live in the new package plowshare-modules
    - debian/copyright: remove references to removed files
    - debian/copyright: new upstream location
    - debian/upstream/metadata: new upstream location
    - debian/watch: new upstream location
    - debian/control: new upstream homepage
    - debian/control: explain the separation of code in the description
    - debian/control: recommend the new modules package
    - debian/NEWS: announce the restructuring

  * Rename plowshare4 -> plowshare source and binary to reflect new name
    - debian/control: transitional package to handle the rename
    - debian/copyright: update upstream name

  * debian/rules:
    - Use new bash completion path (Closes: #798806)

 -- Carl Suster <carl@contraflo.ws>  Sat, 26 Sep 2015 14:32:31 +0200

plowshare4 (1.0.5-2) unstable; urgency=high

  * Disable javascript support (Closes: #791467)

 -- Carl Suster <carl@contraflo.ws>  Tue, 14 Jul 2015 18:45:22 +1000

plowshare4 (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * spelling.patch:
    - Corrects some new spelling errors
  * shellcheck.patch:
    - Addresses some warnings from shellcheck
  * debian/supported_sites:
    - Outputs list of sites for copying into debian/control
  * debian/copyright:
    - Update packaging and default copyright to include 2015
  * debian/control:
    - List supported sites using above script rather than manually
    - Update long description to highlight existing features

 -- Carl Suster <carl@contraflo.ws>  Sat, 24 Jan 2015 20:00:00 +1100

plowshare4 (1.0.6-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6, no changes.
  * Point Vcs-Git field to the correct branch.
  * Improve the derivation of the version string from git.
  * Update list of supported modules.
  * Remove Depends: bash (bash >=4.1 is present and essential in debian).
  * Add watch file using fakeupstream.cgi script.
  * spelling_comments.patch: corrects typos in comments
  * spelling_helpfull_flag.patch: corrects typo in CLI option.
  * utf8.patch: repairs an encoding issue.
  * Add upstream metadata.

 -- Carl Suster <carl@contraflo.ws>  Mon, 27 Oct 2014 21:52:42 +1100

plowshare4 (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * fix-man-page-typos.patch now fixed in upstream.
  * Drop Replaces: plowshare since it was never in the archive.
  * Drop Conflicts: plowshare3 since it was never in the archive.
  * Add Recommends: sxiv as an alternative X image viewer.
  * Add Suggests: fbi as a framebuffer viewer.
  * Remove executable permission on module files.

 -- Carl Suster <carl@contraflo.ws>  Sun, 31 Aug 2014 18:53:00 +1000

plowshare4 (1.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #599924)

 -- Carl Suster <carl@contraflo.ws>  Sat, 26 Jul 2014 16:38:56 +1000
