=== debian/control ===
Source: plowshare
Section: web
Priority: optional
Maintainer: Carl Suster <carl@contraflo.ws>
Build-Depends:
 bash-completion,
 debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/mcrapet/plowshare
Vcs-Git: git://github.com/arcresu/plowshare-debian.git -b debian/unstable
Vcs-Browser: https://github.com/arcresu/plowshare-debian

Package: plowshare
Architecture: all
Replaces: plowshare4 (<< 2.0.1~)
Breaks: plowshare4 (<< 2.0.1~)
Depends:
 curl (>=7.24),
 recode | libhtml-parser-perl,
 ${misc:Depends}
Recommends:
 plowshare-modules,
 qiv | feh | sxiv | imagemagick
Suggests:
 aview | caca-utils,
 fbi,
 git
Description: download and upload files from file sharing websites
 Plowshare is a framework for interacting with file sharing websites,
 providing an API to perform tasks like uploading and downloading files,
 and displaying CAPTCHAs to solve or sending them to CAPTCHA web services.
 .
 This package does not contain any of the drivers (called 'modules') for
 specific file sharing websites.

Package: plowshare4
Priority: extra
Section: oldlibs
Architecture: all
Depends:
 plowshare,
 ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can be safely removed.
