=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/plowshare4-$1\.tar\.gz/ \
  https://github.com/mcrapet/plowshare/releases .*/v?(\d\S*)\.tar\.gz
