## plowshare 2.1.5

=== debian/changelog ===
plowshare (2.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - use the new upstream shell script 'minifier' (a simple sed script).
  * debian/control:
    - bump standards version to 3.9.8 - no changes needed.

 -- Carl Suster <carl@contraflo.ws>  Wed, 22 Jun 2016 12:07:23 +1000

plowshare (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - slightly improve the long description.
    - bump to standards version 3.9.7 - no changes needed.
    - update Vcs-Git to use HTTPS.
  * debian/copyright: update copyright years to reflect upstream.
  * debian/patches/*:
    - refresh patches.
    - drop 02-src-spelling.patch - applied upstream.
  * Minor packaging workflow update:
    - debian/get-version: update to use gbp branch layout.
    - debian/gbp.conf: use a separate build directory.
    - debian/source/local-options: no longer need to unapply patches.

 -- Carl Suster <carl@contraflo.ws>  Wed, 13 Apr 2016 17:08:19 +1000
