## plowshare 2.1.6

=== debian/changelog ===
plowshare (2.1.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Carl Suster <carl@contraflo.ws>  Sun, 01 Jan 2017 13:28:18 +1100

plowshare (2.1.6-1) unstable; urgency=medium

  * New upstream release.
  * patches/01-disable-javascipt:
    - allow javascript to be enabled again by setting an environment variable.

 -- Carl Suster <carl@contraflo.ws>  Fri, 09 Dec 2016 11:47:02 +1100

plowshare (2.1.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Carl Suster <carl@contraflo.ws>  Thu, 30 Jun 2016 10:16:53 +1000

plowshare (2.1.3-1~bpo8+1) jessie-backports; urgency=medium

  * Repackage for jessie-backports.

 -- Carl Suster <carl@contraflo.ws>  Wed, 20 Apr 2016 18:17:39 +1000

plowshare (2.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Backport from testing.
  * Remove references to the optional plowshare-modules package and
    relies on plowshare's built in utility plowmod:
    - debian/NEWS and debian/README: update text accordingly.
    - debian/control: remove Recommends: plowshare-modules.
    - debian/gbp.conf and debian/control: update VCS branch.
  * debian/rules: change completions path back to that expected in jessie.

 -- Carl Suster <carl@contraflo.ws>  Thu, 24 Mar 2016 14:59:42 +1100
