=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends:
  bash-completion,
  debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/mcrapet/plowshare
-Vcs-Git: git://github.com/arcresu/plowshare-debian.git -b debian/unstable
+Vcs-Git: https://github.com/arcresu/plowshare-debian.git -b debian/jessie-backports
 Vcs-Browser: https://github.com/arcresu/plowshare-debian
 
 Package: plowshare
@@ -19,7 +19,6 @@
  recode | libhtml-parser-perl,
  ${misc:Depends}
 Recommends:
- plowshare-modules,
  qiv | feh | sxiv | imagemagick
 Suggests:
  aview | caca-utils,
@@ -30,8 +29,9 @@
  providing an API to perform tasks like uploading and downloading files,
  and displaying CAPTCHAs to solve or sending them to CAPTCHA web services.
  .
- This package does not contain any of the drivers (called 'modules') for
- specific file sharing websites.
+ This package contains the framework and command line tolls, but does not
+ contain any of the drivers (called 'modules') for specific file sharing
+ websites.
 
 Package: plowshare4
 Priority: extra
