=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_bash-completion:
 	dh_bash-completion
 	set -e; \
-	for f in debian/plowshare/usr/share/bash-completion/completions/plow*; do \
+	for f in debian/plowshare/etc/bash_completion.d/plow*; do \
 		sed -i -e '/cut/ s,/usr/local,/usr,' "$$f"; \
 	done
 
@@ -26,6 +26,7 @@
 	v=$(DEB_UPSTREAM_VERSION) && \
 		for file in debian/plowshare/usr/share/plowshare/*.sh; do \
 			sed -i -e 's/^\(declare -r VERSION=\).*/\1'"'v$$v'"'/' "$$file"; \
+			sed -i -n -f scripts/minify.sed "$$file"; \
 		done
 
 override_dh_installchangelogs:
