=== debian/changelog ===
plowshare (2.1.7-4) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat
  * Drop the transitional plowshare4 package and associated Break/Replace
    (Closes: #940756).
  * Update Standards-Version to 4.4.1 (no changes).
  * Remove the default module URL (Closes: #927841).
  * Disable source minification script.

 -- Carl Suster <carl@contraflo.ws>  Tue, 12 Nov 2019 22:35:35 +1100

plowshare (2.1.7-3) unstable; urgency=medium

  * Assist with re-enabling javascript support (Closes: #909655)
    - Suggest rhino as JS interpreter.
    - Add a section to README.Debian explaining how to configure JS.
  * Rename debian/README => debian/README.Debian so it's installed properly.
  * Remove references to the defunct plowshare-modules package.
  * Update Standards-Version to 4.3.0 (no changes).

 -- Carl Suster <carl@contraflo.ws>  Sat, 20 Apr 2019 15:36:52 +1000

plowshare (2.1.7-2) unstable; urgency=medium

  * Update VCS to point to Salsa.
  * Correct typo in patch description.
  * Update debhelper compat to 11 (no changes).
  * Update to standards version 4.2.0:
    - use HTTPS URL in changelog.
  * Set Rules-Requires-Root to no.
  * De-emphasise plowshare-modules in favour of plowmod:
    - drop from Recommends to Suggests and
    - promote git from Suggests to Recommends since the plowmod script
      that replaces the modules package requires git.

 -- Carl Suster <carl@contraflo.ws>  Tue, 14 Aug 2018 10:54:27 +1000

plowshare (2.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump upstream and debian/* copyright year.
  * Change VCS from GitHub to GitLab.
  * Bump standards version to 4.1.1, no changes.
  * Switch gbp config for sbuild.
  * Remove Priority: extra from the transitional package.
  * Include pkg-info.mk instead of parsing changelog to get upstream version.

 -- Carl Suster <carl@contraflo.ws>  Fri, 24 Nov 2017 16:53:50 +1100
