=== debian/control ===
Source: plowshare
Section: web
Priority: optional
Maintainer: Carl Suster <carl@contraflo.ws>
Build-Depends:
 bash-completion,
 debhelper-compat (= 11)
Standards-Version: 4.4.1
Homepage: https://github.com/mcrapet/plowshare
Vcs-Git: https://salsa.debian.org/arcresu-guest/plowshare.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/arcresu-guest/plowshare
Rules-Requires-Root: no

Package: plowshare
Architecture: all
Depends:
 curl (>=7.24),
 recode | libhtml-parser-perl,
 ${misc:Depends}
Recommends:
 git,
 qiv | feh | sxiv | imagemagick
Suggests:
 aview | caca-utils,
 fbi,
 rhino,
Description: download and upload files from file sharing websites
 Plowshare is a framework for interacting with file sharing websites,
 providing an API to perform tasks like uploading and downloading files,
 and displaying CAPTCHAs to solve or sending them to CAPTCHA web services.
 .
 This package contains the framework and command line tolls, but does not
 contain any of the drivers (called 'modules') for specific file sharing
 websites.
