=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with bash-completion

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/plowshare/usr/share/plowshare/core.sh

override_dh_bash-completion:
	dh_bash-completion
	set -e; \
	for f in debian/plowshare/usr/share/bash-completion/completions/plow*; do \
		sed -i -e '/cut/ s,/usr/local,/usr,' "$$f"; \
	done

override_dh_install:
	dh_install
	set -e; \
	v=$(DEB_VERSION_UPSTREAM) && \
		for file in debian/plowshare/usr/share/plowshare/*.sh; do \
			sed -i -e 's/^\(declare -r VERSION=\).*/\1'"'v$$v'"'/' "$$file"; \
		done

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_build override_dh_auto_install:
